var PI_Portal = {};
var inputArr = ["preschool", "primary", "upper primary", "ASER", "vocations"];
var namesArr = ["Bhavana", "Shweta", "Ankita", "Komal", "Annapurna", "Poonam", "Sayali"];
PI_Portal.signUpInfo=[];

PI_Portal.init = function () {
	PI_Portal.setImages();
	$('.CRLForm').hide();
	$('.studentForm').hide();
	$('.forgetPassword').hide();
	PI_Portal.createOptions("state");
	PI_Portal.createOptions("Program");
	PI_Portal.createOptions("center");
	PI_Portal.createOptions("studentName");
	PI_Portal.createOptions("batch");
	PI_Portal.createTableData();
}

PI_Portal.setImages = function () {
	$('#logoImg').prop('src', 'images/logo.png');
	$('#facebook').prop('src', 'images/facebook.png');
	$('#twitter').prop('src', 'images/twitter.png');
	$('#instagram').prop('src', 'images/instagram.png');
	$('#prathamSlogan').prop('src', 'images/sloganPratham.png');
}

PI_Portal.showForm = function (ele1, ele2) {
	$("." + ele1).css({ 'display': 'none' });
	$("." + ele2).css({ 'display': 'block' });
	$(".tableContainer").css({ 'display': 'none' });
}

PI_Portal.createOptions = function (parentDiv) {
	var options;
	for (var i = 0; i < inputArr.length; i++) {
		options = document.createElement('option');
		$(options).prop('value', inputArr[i]);
		$(options).prop('class','optionValues');
		$(options).text(inputArr[i]);
		$('#' + parentDiv).append(options);
	}
}

PI_Portal.createTableData = function () {
	var row, column;
	for (var i = 0; i < namesArr.length; i++) 
	{
		row = document.createElement('tr');
		$('#tableBody').append(row);
		for (var j = 0; j < 4; j++) 
		{
			column = document.createElement('td');
			$(column).prop('id', 'tableData' + i + j);
			row.append(column);
		}
		var k=0;
		$('#tableData' + i + k).html('<input id="checkBox' + i + '" type="checkbox" class="checkBoxes"  value="">');
		k++;
		$('#tableData' + i + k).html(i + 1);
		k++;
		$('#tableData' + i + k).html(namesArr[i]);
		k++;
		$('#tableData' + i + k).html('<span class="glyphicon glyphicon-download-alt"></span');
		k++;
	}
}

PI_Portal.selectAllBox=function(eleId) {
	if ($('#' + eleId).prop("checked") == true) {
		$('.checkBoxes').prop('checked', true);
		$('#checkBoxLabel').text('Select none');
	}
	else {
		$('.checkBoxes').prop('checked', false);
		$('#checkBoxLabel').text('Select All');
	}
}

PI_Portal.signUp=function()
{
	var userName,paswd,contact,signUpInfoObj={};
	userName=$('#username').prop('value');
	paswd=$('#pswd').prop('value');
	contact=$('#Contact').prop('value');
	signUpInfoObj['username']=userName;
	signUpInfoObj['password']=paswd;
	signUpInfoObj['contact']=contact;
	PI_Portal.signUpInfo.push(signUpInfoObj);
	console.log(signUpInfoObj);
	$('.signUpFields').prop('value','');
}

function phoneno()
{
	if($('#Contact').prop("value").length>=10)
		document.getElementById('Contact').blur();
}

PI_Portal.forgetPassword=function()
{
	$('.forgetPassword').css({'display':'block'});
	$('.crlLogin').hide();
}

PI_Portal.change=function()
{
	$('#Program .optionValues').empty();
	$('#center .optionValues').empty();
	$('#batch .optionValues').empty();
}